Subject: RFC-2002-9-7...2003:...is closer than we think...

From: "Jim Fleming" <[email-masked]>
Date: Sat, 7 Sep 2002 09:30:25 -0500

2003: will be here soon. The 2002: 128-bit DNS testing is going well.
It looks like 2003: could be a "can of worms"....(see below).

If people prefer to switch to the YMDD: format in 2003:, then, that
would be 3101: on January 1, 2003....resulting in...

3101:[IPv4 Global]:XXXX!YYYY:[IPv4 Local]:[Port]

XXXX and YYYY share the same format, with the two left-most bits
that select the Fragmentation Transition...
0!0 - Legacy
0!1 - Don't Fragment Local
1!0 - Don't Fragment Global
1!1 - Don't Fragment Either

YYYY would then be...[F!QQQQ!AAAA!BBBBBBB]

Where...
F is the Fragmentation selector (0 - Legacy, 1 - Don't Fragment)
QQQQ are the 4 QoS bits
AAAA!BBBBBBB are the 11 IPv8 Prefix Bits used in IPv4++ Extended Addressing....
http://www.ntia.doc.gov/ntiahome/domainname/130dftmail/unir.txt

XXXX can be 0000000000000000 for those only testing on legacy transports.
XXXX can be [F!QQQQ!AAAA!BBBBBBB] to unify the global and local addressing

Jim Fleming
2002:[IPv4]:000X:03DB:...IPv8 is closer than you think...IPv16 is even closer...
http://ipv8.dyndns.tv
http://ipv8.yi.org
http://ipv8.dyns.cx
http://ipv8.no-ip.com
http://ipv8.no-ip.org
http://ipv8.no-ip.biz
http://ipv8.no-ip.info
http://www.iana.org/assignments/ipv4-address-space

http://www.wcug.wwu.edu/lists/6bone/200112/msg00036.html
a.. To: "Paul Timmins" <[email-masked]>, "Jan Oravec" <[email-masked]>
a.. Subject: RE: Announcing 2003::/16 during tests of "shipworm"
a.. From: "Matthew Lehman" <[email-masked]>
a.. Date: Thu, 6 Dec 2001 23:59:28 -0800

Christian will have to give an official response on the current status from IANA, but my understanding is that there are no
objections and we are waiting on a final response.  I also should say that we are working under a few (possibly incorrect
assumptions):

1) The 6Bone is a research network developed for the main use of learning about and furthering the deployment of IPv6.  I haven't
seen anything about production networks in it's charter, but I may have missed something.  We wouldn't have announced a non-assigned
route in a production network.
2) We have put forth IETF drafts for comment of this protocol and applied for the address range from IANA.  While I agree that
anyone can put forward a draft (or an RFC for that matter), it does undergo scrutiny from the Internet community and it was never
our intention to hijack address space without going through the appropriate processes.
3) There is a large body of people that are interested in a NAT traversal mechanism for IPv6.

Sorry if we jumped the gun, we're just trying to do due diligence and test the protocol in a larger scale scenario in the right
network.  I thought the 6Bone was the right place to do that.

-Matthew

	-----Original Message-----
	From: Paul Timmins [mailto:[email-masked]]
	Sent: Thu 12/6/2001 10:57 PM
	To: Jan Oravec
	Cc: [email-masked]
	Subject: Re: Announcing 2003::/16 during tests of "shipworm"

	At 01:18 AM 12/7/2001, Jan Oravec wrote:
	>On Thu, Dec 06, 2001 at 11:17:04PM -0500, Paul Timmins wrote:

	>I can also write some draft about tunneling IPv6 over proxy server or
	>anything other requiring another /16. It is as much necessary as Shipworm.
	>Really, there are some users with just connection to web proxy who may need
	>IPv6. Will you tolerate such "testing" without IANA agreement ?

	It's my understanding that IANA gave their consent, and just hasn't posted
	such yet. Can the microsoft guy confirm this?
	-Paul

http://www.wcug.wwu.edu/lists/6bone/200112/msg00055.html
a.. To: Bob Fink <[email-masked]>, [email-masked]
a.. Subject: Re: Announcing 2003::/16 during tests of "shipworm"
a.. From: Jan Oravec <[email-masked]>
a.. Date: Sun, 9 Dec 2001 02:59:05 +0100

Bob,

> >I see no reason to not allow *ANY* prefix that has a legit purpose for
> >testing on the 6bone.  This should in no way break any existing asignments.

> I do agree with this. The 6bone is a test network, and as such would not be
> doing a proper job if we didn't allow new ideas (and prefixes) to be used
> for testing, as long as they don't mess up others (which Rob covers below).

How can you ensure, invalid prefixes will not get into production
networks ? 6bone is big enough to this be impossible - many AS does not
filter anything.

Microsoft does not need to announce 2003::/16 to test ShipWorm. They say,
they want to test it, not to provide 6bone/IPv6 connection thru ShipWorm.
If they want the second, they can SNAT 2003::/16 to some valid address or
wait for IANA assignment.

> The last communications on this with Randy Bush, our AD, are:

and also:

> Date: Fri, 07 Dec 2001 15:26:36 -0800
> From: Randy Bush <[email-masked]>
> Subject: Re: (ngtrans) Testing Shipworm
> To: "Christian Huitema" <[email-masked]>
> Cc: <[email-masked]>
>
> > Our development team is getting ready to test Shipworm. Pending formal
> > IANA assignment, we are testing with the following parameters:
> >
> >       Shipworm IPv6 service prefix: 2003::/16
> >       Shipworm IPv4 anycast address: 131.107.0.36
> >       Shipworm UDP port: 337
>
> cool!  we should have great fun, as i am hijacking that same space for
> a different experiment.
>
> isn't hijacking fun!!!  and our expenses will go down now that we no
> longer need the iana or registries.
>
> oh, and next week, we're going to conduct a bunch of ipv4 routing
> experiments announcing various prefixes in 207.46.192.0/18.  i'm sure
> no one will mind.
>
> randy

Best Regards,

Jan Oravec
XS26 - 'Access to IPv6'
[email-masked]
=========================================================